Skip to main content
Resource Center/Resource Pool/VM Instance Operations

ParseOvf

ParseOvf

POST/zstack/v1/ovf/parse

Operation ID

ParseOvf

Since

4.4.6

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Body Fields

  • paramsstructure
    ObjectRequired

    paramsstructure request body object.

    • xmlBase64
      StringRequired

      The Base64-encoded OVF file.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • ovfInfo
    OvfInfoRequired

    See ovfInfo.

    • vmName
      StringRequired

      The VM name.

    • disks
      ListRequired

      See disks.

      • index
        intRequired

        The disk number.

      • diskId
        StringRequired

        The disk ID.

      • fileRef
        StringRequired

        The file reference.

      • fileName
        StringRequired

        The image file name.

      • format
        StringRequired

        The image file format.

      • populatedSize
        LongRequired

        The image file size.

      • capacity
        LongRequired

        The disk capacity. Unit: byte.

    • networks
      ListRequired

      See networks.

      • name
        StringRequired

        The network name.

    • cpu
      OvfCpuInfoRequired

      See cpu.

      • instanceId
        StringRequired

        The instance ID.

      • quantity
        IntegerRequired

        The number of CPU cores.

      • coresPerSocket
        IntegerRequired

        The number of cores per CPU.

    • memory
      OvfMemoryInfoRequired

      See memory.

      • instanceId
        StringRequired

        The instance ID.

      • quantity
        LongRequired

        The memory size. Unit: byte.

    • os
      OvfOSInfoRequired

      See os.

      • id
        IntegerRequired

        The OS ID.

      • version
        StringRequired

        The OS version.

      • osType
        StringRequired

        The OS type.

      • description
        StringRequired

        The OS description.

    • systemInfo
      OvfSystemInfoRequired

      See systemInfo.

      • virtualSystemType
        StringRequired

        The system type.

      • firmwareType
        StringRequired

        The firmware type.

    • nics
      ListRequired

      See nics.

      • networkName
        StringRequired

        The network name.

      • nicModel
        StringRequired

        The NIC model.

      • nicName
        StringRequired

        The NIC name.

      • autoAllocation
        BooleanRequired

        Indicates whether the NIC is auto allocated.

    • cdDrivers
      ListRequired

      See cdDrivers.

      • autoAllocation
        BooleanRequired

        Indicates whether the CD driver is auto allocated.

      • driverType
        StringRequired

        The driver type.

      • subType
        StringRequired

        The sub-type.

      • name
        StringRequired

        The driver name.

    • volumes
      ListRequired

      See volumes.

      • name
        StringRequired

        The disk name.

      • diskId
        StringRequired

        The disk ID.

      • driverType
        StringRequired

        The disk driver type.

  • Change Time

    AddedRequest body fields paramsstructure
    View API